[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# FloatToDateTime

Convert a float to a TDateTime value.

## Declaration

Source position: sysstrh.inc line 187

`function FloatToDateTime(`
`const Value: Extended`
`):TDateTime;`

## Description

FloatToDateTime converts the Value floating point value to a TDateTime value. It checks whether Value is in the valid range of dates (determined by MinDateTime and MaxDateTime). If not, an EConvertError exception is raised.

## Errors

If Value is out of range, an EConvertError exception is raised.

## See also

EConvertError |  | Conversion error.
MinDateTime |  | Minimum TDateTime value.
MaxDateTime |  | Maximum TDateTime value.

Documentation generated on: Feb 26 2014